Pixxel

List all available indices

Returns a list of all available indices (both custom and preset) with their formulas and metadata. Use the type query parameter to filter by custom or preset.

GET/v0/indices
Authorisations
AuthorizationString
Query Parameters
offsetinteger
Offset for pagination
limitinteger
Limit for pagination
satellite_idstring
Filter by satellite ID
typestring
Filter by index type (custom/preset)
expression_typestring
Filter by expression type
index_idstring
Filter by index ID
Response
application/json
OK
indicesobject[]
Show child attributes
paginationobject
Show child attributes
List all available indices
1curl -X GET 'https://api.pixxel.space/v0/indices' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"indices": [
{
"bands": [
"string"
],
"colormap": "string",
"created_at": "string",
"description": "string",
"expression": "string",
"expression_type": "string",
"id": "string",
"name": "string",
"rescale": [
0
],
"satellite_id": "string",
"type": "string",
"updated_at": "string"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 100
}
}